--- a/cmake/install_layout.cmake	2016-09-28 10:01:06.000000000 -0500
+++ b/cmake/install_layout.cmake	2016-11-06 09:23:43.000000000 -0600
@@ -82,7 +82,7 @@
 ENDIF()
 
 SET(INSTALL_LAYOUT "${DEFAULT_INSTALL_LAYOUT}"
-CACHE STRING "Installation directory layout. Options are: TARGZ (as in tar.gz installer), WIN (as in zip installer), STANDALONE, RPM, DEB, SVR4, FREEBSD, GLIBC, OSX, SLES")
+CACHE STRING "Installation directory layout. Options are: TARGZ (as in tar.gz installer), WIN (as in zip installer), STANDALONE, RPM, DEB, SVR4, FREEBSD, GLIBC, MACPORTS, OSX, SLES")
 
 IF(UNIX)
   IF(INSTALL_LAYOUT MATCHES "RPM" OR
@@ -101,7 +101,7 @@
     SET(CMAKE_INSTALL_PREFIX ${default_prefix}
       CACHE PATH "install prefix" FORCE)
   ENDIF()
-  SET(VALID_INSTALL_LAYOUTS "RPM" "DEB" "SVR4" "FREEBSD" "GLIBC" "OSX" "TARGZ" "SLES" "STANDALONE")
+  SET(VALID_INSTALL_LAYOUTS "RPM" "DEB" "SVR4" "FREEBSD" "GLIBC" "MACPORTS" "OSX" "TARGZ" "SLES" "STANDALONE")
   LIST(FIND VALID_INSTALL_LAYOUTS "${INSTALL_LAYOUT}" ind)
   IF(ind EQUAL -1)
     MESSAGE(FATAL_ERROR "Invalid INSTALL_LAYOUT parameter:${INSTALL_LAYOUT}."
@@ -442,6 +442,36 @@
 SET(INSTALL_SECURE_FILE_PRIVDIR_SVR4    ${secure_file_priv_path})
 SET(INSTALL_SECURE_FILE_PRIV_EMBEDDEDDIR_SVR4    ${secure_file_priv_embedded_path})
 
+#
+# MACPORTS layout
+#
+SET(INSTALL_BINDIR_MACPORTS             "lib/@NAME@/bin")
+SET(INSTALL_SBINDIR_MACPORTS            "lib/@NAME@/bin")
+SET(INSTALL_SCRIPTDIR_MACPORTS          "lib/@NAME@/bin")
+#
+SET(INSTALL_LIBDIR_MACPORTS             "lib/@NAME@/mysql")
+SET(INSTALL_PLUGINDIR_MACPORTS          "lib/@NAME@/plugin")
+#
+SET(INSTALL_INCLUDEDIR_MACPORTS         "include/@NAME@/mysql")
+#
+SET(INSTALL_DOCDIR_MACPORTS             "share/doc/@NAME@")
+SET(INSTALL_DOCREADMEDIR_MACPORTS       "share/doc/@NAME@")
+SET(INSTALL_MANDIR_MACPORTS             "share/man/@NAME@")
+SET(INSTALL_INFODIR_MACPORTS            "share/doc/@NAME@")
+#
+SET(INSTALL_SHAREDIR_MACPORTS           "share/@NAME@")
+SET(INSTALL_MYSQLSHAREDIR_MACPORTS      "share/@NAME@")
+SET(INSTALL_MYSQLTESTDIR_MACPORTS       "share/@NAME@/mysql-test")
+SET(INSTALL_SQLBENCHDIR_MACPORTS        "share/@NAME@")
+SET(INSTALL_SUPPORTFILESDIR_MACPORTS    "share/@NAME@/support-files")
+#
+SET(INSTALL_MYSQLDATADIR_MACPORTS       "var/db/@NAME@")
+SET(INSTALL_PLUGINTESTDIR_MACPORTS      ${plugin_tests})
+#
+# SUID /bin/ps is not in MacPorts sandbox causing scripts/CMakeLists.txt tests to fail so we set FIND_PROC here.
+#
+SET(FIND_PROC "ps -ef | grep -v mysqld_safe | grep -- $MYSQLD | grep $PID > /dev/null")
+
 # Clear cached variables if install layout was changed
 IF(OLD_INSTALL_LAYOUT)
   IF(NOT OLD_INSTALL_LAYOUT STREQUAL INSTALL_LAYOUT)
